Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fontbox.encoding
Class Encoding

    java.lang.Object
      org.fontbox.encoding.Encoding

Direct Known Subclasses:
  MacRomanEncoding

public abstract class Encoding
extends Object

This is an interface to a text encoder.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield

Field Summary
`protected Map` | `codeToName` This is a mapping from a character code to a character name.
`protected Map` | `nameToCode` This is a mapping from a character name to a character code.

Constructor Summary
`Encoding()`

Method Summary
`protected void` | `addCharacterEncoding(int code, String name)` This will add a character encoding.
`String` | `getCharacter(int code)` This will get the character from the code.
`static String` | `getCharacter(String name)` This will get the character from the name.
`int` | `getCode(String name)` This will get the character code for the name.
`String` | `getName(int code)` This will take a character code and get the name from the code.
`String` | `getNameFromCharacter(char c)` This will take a character code and get the name from the code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codeToName

    protected Map codeToName

  This is a mapping from a character code to a character name.

### nameToCode

    protected Map nameToCode

  This is a mapping from a character name to a character code.

Constructor Detail

### Encoding

    public Encoding()

Method Detail

### addCharacterEncoding

    protected void addCharacterEncoding(int code,
                                        String name)

  This will add a character encoding.

  Parameters:
    `code` - The character code that matches the character.
    `name` - The name of the character.

### getCode

    public int getCode(String name)
                throws IOException

  This will get the character code for the name.

  Parameters:
    `name` - The name of the character.
  Returns:
    The code for the character.
  Throws:
    `IOException` - If there is no character code for the name.

### getName

    public String getName(int code)
                   throws IOException

  This will take a character code and get the name from the code.

  Parameters:
    `code` - The character code.
  Returns:
    The name of the character.
  Throws:
    `IOException` - If there is no name for the code.

### getNameFromCharacter

    public String getNameFromCharacter(char c)
                                throws IOException

  This will take a character code and get the name from the code.

  Parameters:
    `c` - The character.
  Returns:
    The name of the character.
  Throws:
    `IOException` - If there is no name for the character.

### getCharacter

    public String getCharacter(int code)
                        throws IOException

  This will get the character from the code.

  Parameters:
    `code` - The character code.
  Returns:
    The printable character for the code.
  Throws:
    `IOException` - If there is not name for the character.

### getCharacter

    public static String getCharacter(String name)

  This will get the character from the name.

  Parameters:
    `name` - The name of the character.
  Returns:
    The printable character for the code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD